import { Options as MarkdownOptions } from 'markdown-it';
import { Plugin } from 'vite';
export declare type HItem = {
    level: number;
    title: string;
};
export interface NestedHItem extends HItem {
    children: NestedHItem[];
}
export declare type NestedHList = NestedHItem[];
export interface PluginOptions {
    markdownIt?: MarkdownOptions;
}
export declare type Md2HtmlExports = {
    attributes: Record<string, any>;
    html: string;
    nestedHeaders: NestedHList;
};
/**
let hList = [ {level:1}, {level:2}, {level:3}, {level:2}, {level:3}, {level:1}, {level:4}]
let nestedHeaders = createNestedHList(hList);
[
    {
        level: 1,
        children: [
            {
                level: 2,
                children: [{ level: 3 }]
            },
            {
                level: 2,
                children: [{ level: 3 }]
            }
        ]
    },
    {
        level: 1,
        children: [{ level: 4 }]
    }
]
 */
export declare function createNestedHList(hList: HItem[]): NestedHList;
export declare function createMarkdown2HtmlMetadata(code: string, options?: MarkdownOptions): Md2HtmlExports;
export declare const plugin: (options?: PluginOptions) => Plugin;
export default plugin;
